#include <stdint.h>

#ifndef SYS_TICK_H_
#define SYS_TICK_H_

#ifdef __cplusplus
extern "C" {
#endif

// Setups the clock to calculate milliseconds counter. Starts counting from
// the moment the SysTick_Init() is called.
void SysTick_Init();
// Delays execution until n milliseconds has passed.
void SysTick_DelayMs(uint32_t n);
// Returns actual count of milliseconds from call to SysTick_Init()
uint32_t SysTick_GetTime();

#ifdef __cplusplus
}
#endif

#endif /* SYS_TICK_H_ */
